EDIT - bug #9289

LazylnitializationException (LIE) in NameTypeDesignationEditor
11/10/2020 11:34 AM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.18

Severity: normal Found in Version:

Description

Buryatia belyaevae Kulikovskiy, Metzeltin & Lange-Bert. name type for Buryatia belyaevae Kulikovskiy, Metzeltin & Lange-Bert
din.data.Buffered$SourceException
com.vaadin.ui.AbstractField.commit (AbstractField. java:257)
org.vaadin.viritin.fields.TypedSelect.commit (TypedSelect.java:381)
eu.etaxonomy.vaadin.component.ToOneRelatedEntityCombobox.commitSelect (ToOneRelatedEntityCom
ava:196)

eu.etaxonomy.vaadin.component .ToOneRelatedEntityCombobox.lambda$new$c8cb21lbb$1 (ToOneRelated
ombobox.java:68)

sun.reflect.GeneratedMethodAccessorl715.invoke (Unknown Source)
sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
java.lang.reflect.Method.invoke (Method. java:498)
com.vaadin.event.ListenerMethod.receiveEvent (ListenerMethod. java:510)
com.vaadin.event.EventRouter.fireEvent (EventRouter. java:200)
com.vaadin.event.EventRouter.fireEvent (EventRouter. java:163)
com.vaadin.server.AbstractClientConnector.fireEvent (AbstractClientConnector. java:1015)
org.vaadin.viritin.fields.TypedSelect.access$100 (TypedSelect. java:51)
org.vaadin.viritin.fields.TypedSelect$5.valueChange (TypedSelect. java:517)
sun.reflect.GeneratedMethodAccessorl715.invoke (Unknown Source)
sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
java.lang.reflect.Method. invoke (Method. java:498)
com.vaadin.event.ListenerMethod.receiveEvent (ListenerMethod. java:510)
com.vaadin.event.EventRouter.fireEvent (EventRouter. java:200)
com.vaadin.event.EventRouter.fireEvent (EventRouter. java:163)
com.vaadin.server.AbstractClientConnector.fireEvent (AbstractClientConnector.java:1015)
com.vaadin.uil.AbstractField.fireValueChange (AbstractField. java:1161)
com.vaadin.ui.AbstractField.setValue (AbstractField. java:571)
com.vaadin.ui.AbstractSelect.setValue (AbstractSelect.java:735)
com.vaadin.ui.AbstractField.setValue (AbstractField. java:468)
com.vaadin.ui.AbstractSelect.setValue (AbstractSelect.java:698)
org.vaadin.viritin.fields.TypedSelect.setInternalValue (TypedSelect.java:411)
com.vaadin.ui.AbstractField.setPropertyDataSource (AbstractField. java:657)
eu.etaxonomy.vaadin.component.ToOneRelatedEntityCombobox.setPropertyDataSource (ToOneRelated
ombobox.java:216)

com.vaadin.data.fieldgroup.FieldGroup.bind (FieldGroup.java:273)
com.vaadin.data.fieldgroup.BeanFieldGroup.bind (BeanFieldGroup. java:155)
com.vaadin.data.fieldgroup.FieldGroup.bindFields (FieldGroup. java:113)
com.vaadin.data.fieldgroup.FieldGroup.setItemDataSource (FieldGroup.java:103)
com.vaadin.data.fieldgroup.BeanFieldGroup.setItemDataSource (BeanFieldGroup.java:126)
com.vaadin.data.fieldgroup.BeanFieldGroup.setItemDataSource (BeanFieldGroup.java:119)
eu.etaxonomy.vaadin.mvp.AbstractPopupEditor.loadInEditor (AbstractPopupEditor. java:849)
eu.etaxonomy.cdm.vaadin.view.registration.RegistrationWorkingsetPresenter.onTypeDesignation

sEditorActionEdit (RegistrationWorkingsetPresenter.java:569)
sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)
sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)
sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
java.lang.reflect.Method. invoke (Method. java:498)
org.vaadin.spring.events.internal.MethodListenerWrapper.publish (MethodListenerWrapper. java:

org.vaadin.spring.events.internal.ListenerCollection.publish(ListenerCollection.java:167)
org.vaadin.spring.events.internal.ScopedEventBus.publish (ScopedEventBus. java:116)

04/17/2024 1/4




at org.vaadin.spring.events.internal.ScopedEventBus.publish (ScopedEventBus. java:109)

at eu.etaxonomy.cdm.vaadin.view.registration.RegistrationWorksetViewBean.lambda$putRegistratio
nListComponent$8dc5aab0$1 (RegistrationWorksetViewBean. java:404)

at sun.reflect.GeneratedMethodAccessorl892.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at com.vaadin.event.ListenerMethod.receiveEvent (ListenerMethod. java:510)

at com.vaadin.event.EventRouter.fireEvent (EventRouter.java:200)

at com.vaadin.event.EventRouter.fireEvent (EventRouter.java:163)

at com.vaadin.server.AbstractClientConnector.fireEvent (AbstractClientConnector.java:1015)

at com.vaadin.ui.Button.fireClick (Button.java:377)

at com.vaadin.ui.Button$l.click (Button.java:54)

at sun.reflect.GeneratedMethodAccessorl891.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at com.vaadin.server.ServerRpcManager.applyInvocation (ServerRpcManager. java:158)

at com.vaadin.server.ServerRpcManager.applyInvocation (ServerRpcManager. java:119)

at com.vaadin.server.communication.ServerRpcHandler.handleInvocation (ServerRpcHandler. java:437

at com.vaadin.server.communication.ServerRpcHandler.handleInvocations (ServerRpcHandler. java:40

at com.vaadin.server.communication.ServerRpcHandler.handleRpc (ServerRpcHandler. java:273)

at com.vaadin.server.communication.UidlRequestHandler.synchronizedHandleRequest (UildlRequestHan
dler.java:90)

at com.vaadin.server.SynchronizedRequestHandler.handleRequest (SynchronizedRequestHandler. java:
41)

at com.vaadin.server.VaadinService.handleRequest (VaadinService. java:1435)

at com.vaadin.server.VaadinServlet.service (VaadinServlet.java:380)

at javax.servlet.http.HttpServlet.service (HttpServlet.java:790)

at org.eclipse.jetty.servlet.ServletHolder.handle (ServletHolder.java:755)

at org.eclipse. jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler.java:1617)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:317)

at org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke (FilterSe
curityInterceptor.java:127)

at org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter (Filter
SecurityInterceptor. java:91)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.Jjava:331)

at org.springframework.security.web.access.ExceptionTranslationFilter.doFilter (ExceptionTransl
ationFilter.java:114)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.Jjava:331)

at org.springframework.security.web.session.SessionManagementFilter.doFilter (SessionManagement
Filter.java:137)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.Jjava:331)

at org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter (Anon
ymousAuthenticationFilter. java:111)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.Jjava:331)

at org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilte
r (SecurityContextHolderAwareRequestFilter. java:170)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.Jjava:331)

at org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter (RequestCache
AwareFilter.java:63)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.Jjava:331)

at org.springframework.security.web.authentication.www.BasicAuthenticationFilter.doFilterInter
nal (BasicAuthenticationFilter. java:158)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.Jjava:331)

at org.springframework.security.ocauth2.provider.authentication.OAuth2AuthenticationProcessingF
ilter.doFilter (OAuth2AuthenticationProcessingFilter.java:182)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
.security.web.authentication.logout.LogoutFilter.doFilter (LogoutFilter. j

security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
security.web.header.HeaderWriterFilter.doFilterInternal (HeaderWriterFil

web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)
security.web.context.SecurityContextPersistenceFilter.doFilter (Security

ContextPersistenceFilter.java:105)
security.web.context.request.async.WebAsyncManagerIntegrationFilter.doF

ilterInternal (WebAsyncManagerIntegrationFilter. java:56)
web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)
security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr

security.web.FilterChainProxy.doFilterInternal (FilterChainProxy. java:21

security.web.FilterChainProxy.doFilter (FilterChainProxy.java:177)
web.filter.DelegatingFilterProxy.invokeDelegate (DelegatingFilterProxy. j

web.filter.DelegatingFilterProxy.doFilter (DelegatingFilterProxy.java:26

at org.eclipse. jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler. java:1604)
at eu.etaxonomy.cdm.servlet.DateHeaderFilter.doFilter (DateHeaderFilter. java:55)
at org.eclipse.jetty.servlet.ServletHandler$SCachedChain.doFilter (ServletHandler. java:1604)

at org.springframework.

lter.java:197)

ava:

tor.

at org.springframework.

web.filter.CharacterEncodingFilter.doFilterInternal (CharacterEncodingFi

web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)

at org.eclipse. jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler.java:1596)

at org.eclipse.jetty.servlet.ServletHandler.doHandle (ServletHandler. java:545)

at org.eclipse.jetty.server.handler.ScopedHandler.handle (ScopedHandler.java:143)

at org.eclipse.jetty.security.SecurityHandler.handle (SecurityHandler. java:590)

at org.eclipse.jetty.server.handler.HandlerWrapper.handle (HandlerWrapper.java:127)

at org.eclipse.jetty.server.handler.ScopedHandler.nextHandle (ScopedHandler. java:235)

at org.eclipse.jetty.server.session.SessionHandler.doHandle (SessionHandler. java:1607)
at org.eclipse.jetty.server.handler.ScopedHandler.nextHandle (ScopedHandler. java:233)
at org.eclipse.jetty.server.handler.ContextHandler.doHandle (ContextHandler. java:1297)

at org.eclipse.jetty.server.handler.ScopedHandler.nextScope (ScopedHandler. java:188)

at org.eclipse.jetty.servlet.ServletHandler.doScope (ServletHandler. java:485)

at org.eclipse.jetty.server.session.SessionHandler.doScope (SessionHandler.java:1577)

at org.eclipse.jetty.server.handler.ScopedHandler.nextScope (ScopedHandler.java:186)

at org.eclipse.jetty.server.handler.ContextHandler.doScope (ContextHandler.java:1212)

at org.eclipse.jetty.server.handler.ScopedHandler.handle (ScopedHandler. java:141)

at org.eclipse. jetty.server.handler.HandlerWrapper.handle (HandlerWrapper.java:127)

at eu.etaxonomy.cdm.server.logging.InstanceLogWrapper.handle (InstancelLogWrapper.java:47)
at org.eclipse.jetty.server.handler.ContextHandlerCollection.handle (ContextHandlerCollection.j

221)

at org.eclipse.jetty.server.handler.HandlerWrapper.handle (HandlerWrapper.java:127)

at org.eclipse.jetty.server.Server.handle (Server. java:500)

at org.eclipse.jetty.server.HttpChannel.lambda$handle$l (HttpChannel. java:383)

at org.eclipse.jetty.server.HttpChannel.dispatch (HttpChannel. java:547)

at org.eclipse.jetty.server.HttpChannel.handle (HttpChannel. java:375)

at org.eclipse.jetty.server.HttpConnection.onFillable (HttpConnection. java:270)

at org.eclipse.jetty.io.AbstractConnection$ReadCallback.succeeded (AbstractConnection. java:311)
at org.eclipse.jetty.io.FillInterest.fillable(FillInterest.java:103)

at org.eclipse.jetty.io.ChannelEndPoint$2.run (ChannelEndPoint. java:117)

at org.eclipse.jetty.util.thread.strategy.EatWhatYouKill.runTask (EatWhatYouKill. java:336)

at org.eclipse.jetty.util.thread.strategy.EatWhatYouKill.doProduce (EatWhatYouKill. java:313)

at org.eclipse.jetty.util.thread.strategy.EatWhatYouKill.tryProduce (EatWhatYouKill. java:171)
at org.eclipse.jetty.util.thread.strategy.EatWhatYouKill.run (EatWhatYouKill. java:129)

at org.eclipse.jetty.util.thread.ReservedThreadExecutor$ReservedThread.run (ReservedThreadExecu

java:388)

at org.eclipse.jetty.util.thread.QueuedThreadPool.runJob (QueuedThreadPool. java:806)
org.eclipse. jetty.util.thread.QueuedThreadPoolS$Runner.run (QueuedThreadPool. java:938)

java.lang.Thread.run (Thread. java:748)

by: com.vaadin.data.util.MethodProperty$MethodException
com.vaadin.data.util.MethodProperty.invokeSetMethod (MethodProperty.java:676)
com.vaadin.data.util.MethodProperty.setValue (MethodProperty. java:649)
com.vaadin.data.util.TransactionalPropertyWrapper.setValue (TransactionalPropertyWrapper. jav

com.vaadin.ui.AbstractField.commit (AbstractField. java:253)
by: org.hibernate.LazyInitializationException: failed to lazily initialize a collection of

- no Session

at org.hibernate.collection.internal.AbstractPersistentCollection.throwLazyInitializationExcep
tion (AbstractPersistentCollection. java:584)

at org.hibernate.collection.internal.AbstractPersistentCollection.withTemporarySessionIfNeeded
(AbstractPersistentCollection. java:201)

at org.hibernate.collection.internal.AbstractPersistentCollection.readSize (AbstractPersistentC
ollection. java:145)
org.hibernate.collection.internal.PersistentSet.isEmpty (PersistentSet.java:149)
eu.etaxonomy.cdm.model.name.TypeDesignationBase.setCitation (TypeDesignationBase. java:1l)
cdm.

cdm.
model.
model.
model.

model.

model.

.model.

eu.etaxonomy.cdm.model.reference.OriginalSourceBase.annotations, could not initialize proxy

common.AnnotatableEntity.checkEmpty (AnnotatableEntity.java:180)

reference.OriginalSourceBase.checkEmpty (OriginalSourceBase. java:293)
description.DescriptionElementSource.checkEmpty (DescriptionElementSo
name.TypeDesignationBase.checkNullSource (TypeDesignationBase. java:29

name.TypeDesignationBase.setCitation_aroundBody6 (TypeDesignationBase

name.TypeDesignationBase.setCitation_aroundBody7S$advice (TypeDesignat

sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
java.lang.reflect.Method.invoke (Method. java:498)
com.vaadin.data.util.MethodProperty.invokeSetMethod (MethodProperty.java:664)
Related issues:

Related to EDIT - feature request #6581: Make all microreferenced references ... Closed

Associated revisions

Revision 84760d27 - 11/12/2020 03:21 PM - Andreas Kohlbecker

ref #6581 adapting init strategy to new original source handling

History

#1 - 11/12/2020 03:23 PM - Andreas Kohlbecker

- % Done changed from 0 to 50

fixed by cdm-vaadin|84760d27

#2 - 11/12/2020 04:02 PM - Andreas Kohlbecker

- Description updated

- Status changed from New to Closed

- % Done changed from 50 to 100

no more problems

#3 - 11/20/2020 01:46 PM - Andreas Kohlbecker

- Related to feature request #6581: Make all microreferenced references OriginalSources added
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdm-vaadin/revisions/84760d27bba7cfef17d44ed475a7133dcd6e5c75
